MCP Tools Reference: cloudbilling.googleapis.com

Tool: get_sku_group

Gets a publicly listed SKU group.

The following code sample shows how to use curl to call the get_sku_group MCP tool.

Curl Request
curl --location 'https://cloudbilling.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "get_sku_group",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

Input Schema

Request message for GetSkuGroup.

GetSkuGroupRequest

JSON representation
{
  "name": string
}
Fields
name

string

Required. The name of the SKU group to retrieve. Format: skuGroups/{sku_group}

Output Schema

Encapsulates a publicly listed stock keeping unit (SKU) group. A SKU group represents a collection of SKUs that are related to each other. For example, the AI Platform APIs SKU group includes SKUs from the Cloud Dialogflow API, the Cloud Text-to-Speech API, and additional related APIs.

SkuGroup

JSON representation
{
  "name": string,
  "displayName": string
}
Fields
name

string

Resource name for the SKU group. Example: "skuGroups/0e6403d1-4694-44d2-a696-7a78b1a69301".

displayName

string

Description of the SKU group. Example: "A2 VMs (1 Year CUD)".

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌